package org.ecoinformatics.seek.datasource.eml.eml2;

class Eml200OutputTypeFactory {
	static final String _AsField = "As Field";
	static final String _AsTable = "As Table";
	static final String _AsRow = "As Row";
	static final String _AsByteArray = "As Byte Array";
	static final String _AsUnzippedFileName = "As UnCompressed File Name";
	static final String _AsFileName = "As Cache File Name";
	static final String _AsColumnVector  = "As Column Vector";
	static final String _AsColumnRecord = "As ColumnBased Record";

	private Eml200OutputTypeFactory()
	{}
	
	static Eml200OutputTypeBase newInstance( String outputType, Eml200DataSource that )
	{
		if ( _AsTable.equals(outputType)) {
			return new Eml200OutputTypeTable(that);
		}
		if (_AsRow.equals(outputType)) {
			return new Eml200OutputTypeRow(that);
		}
		if (_AsField.equals(outputType)) {
			return new Eml200OutputTypeField(that);
		} 
		if (_AsByteArray.equals(outputType)) {
			return new Eml200OutputTypeByteArray(that);
		}
		if (_AsUnzippedFileName.equals(outputType) ) {
			return new Eml200OutputTypeUnzippedFileName(that);
		} 
		if (_AsFileName.equals(outputType)) {
			return new Eml200OutputTypeFileName(that);
		} 
		if (_AsColumnVector.equals(outputType)) {
			return new Eml200OutputTypeColumnVector(that);
		} 	
		if (_AsColumnRecord.equals(outputType)) {
		return new Eml200OutputTypeColumnRecord(that);
		}
		return new Eml200OutputTypeField(that);
	}
	
	static Eml200OutputTypeBase newInstance(Eml200DataSource that )
	{
		return new Eml200OutputTypeInitialize(that);
	}
}
